package com.qmth.teachcloud.report.business.templete.strategy;

import com.qmth.teachcloud.common.enums.TaskStatusEnum;
import com.qmth.teachcloud.report.business.bean.params.CalculateParams;
import com.qmth.teachcloud.report.business.entity.TBSyncTask;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;

import java.io.IOException;
import java.util.List;

/**
 * @Description: 科目(试卷)计算service
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2022/6/7
 */
@Service
public class CourseCodeSyncTaskService extends CalculateTaskTemplate {
    private final static Logger log = LoggerFactory.getLogger(CourseCodeSyncTaskService.class);

    /**
     * 数据校验
     *
     * @param calculateParams
     * @throws IOException
     */
    @Override
    public void dataVaild(CalculateParams calculateParams) throws IOException {
        log.info("CourseCodeSyncTaskService dataVaild come in");
        TBSyncTask tbSyncTask = calculateParams.getTbSyncTask();
        tbSyncTask.setStatus(TaskStatusEnum.DATA_VALID);
        updateProgress(calculateParams);

        //TODO 此处加校验数据具体逻辑方法，推荐service方法然后加@Transactional注解
//        List<String> courseCodeLIst = calculateParams.getCourseCode();
//        for (String s : courseCodeLIst) {
//            --- ---
//
//        }
    }

    /**
     * 数据计算
     *
     * @param calculateParams
     * @throws IOException
     */
    @Override
    public void calculate(CalculateParams calculateParams) throws IOException {
        log.info("CourseCodeSyncTaskService calculate come in");
        TBSyncTask tbSyncTask = calculateParams.getTbSyncTask();
        tbSyncTask.setStatus(TaskStatusEnum.RUNNING);
        updateProgress(calculateParams);

//        for (String s : courseCodeLIst) {
//            --- ---
//                    -- --  ----  -
//        }
//        tbSyncTask.setProgress();
//        updateProgress(calculateParams);

//        tbSyncTask.setObj(calculateParams.getCourseCode().get(0));//科目名称
//        tbSyncTask.setRemark("tableName");//表名称

        //TODO 此处加计算数据具体逻辑方法，推荐service方法然后加@Transactional注解
    }
}
